Package: org.gradle.api.reporting

## [Java] Interface DirectoryReport

- org.gradle.api.reporting.DirectoryReport

- All Superinterfaces:
    Report, ConfigurableReport

  A directory based report to be created.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Report` | `NAMER`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getEntryPoint()` Returns the entry point of a directory based Report
    `OutputType` | `getOutputType()` Always returns Report.OutputType#DIRECTORY

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ConfigurableReport` | `setDestination`
    `interface Report` | `getDestination, getDisplayName, getName, getOutputType, isEnabled, setEnabled`
    `interface org.gradle.util.Configurable` | `org.gradle.util.Configurable#configure(groovy.lang.Closure)`

- - ### Method Detail

    - #### public File getEntryPoint()

      Returns the entry point of a directory based Report This can be the index.html file in a html report

      Returns:
        the entry point of the report or DirectoryReport.getDestination if no entry point defined

    - #### public OutputType getOutputType()

      Always returns Report.OutputType#DIRECTORY

      Returns:
        Report.OutputType#DIRECTORY